Γενικά > Linux

ΣΕΠΕΗΥ με Ubuntu 20.04/LTSP/sch-scripts/Επόπτη

(1/21) > >>

alkisg:
Είμαστε σε φάση δοκιμών για την νέα έκδοση της λύσης Ubuntu 20.04/LTSP/sch-scripts/Επόπτη για ΣΕΠΕΗΥ:

* Ubuntu: προτείνεται καθαρή εγκατάσταση Ubuntu 20.04 το οποίο όμως υποστηρίζει μόνο 64bit clients, οπότε υπάρχει και η δυνατότητα χρήσης του νέου LTSP σε Ubuntu 18.04 32bit.
* LTSP: ξαναγράψαμε εξ' αρχής το LTSP ώστε να δουλεύει με τις νέες διανομές. Λόγω μη υποστήριξης 32bit clients από το Ubuntu, το LTSP πια δεν υποστηρίζει thin clients. Όσοι χρειάζονται thin clients πρέπει να μείνουν στο παλιό LTSP και στο Ubuntu <= 18.04.
* sch-scripts: η έκδοση 20.04 είναι έτοιμη στο αποθετήριό μας και υποστηρίζει το νέο Ubuntu.
* Επόπτης: η έκδοση 20.01 είναι διαθέσιμη στα αποθετήρια του Ubuntu.
* Wiki: οι βασικές σελίδες για την εγκατάσταση είναι έτοιμες, οι υπόλοιπες ενημερώνονται σιγά σιγά.
* IRC: βοήθεια μέσω συνομιλίας IRC είναι και θα είναι διαθέσιμη για τα σχολεία.Θα έρθουν πολλά ακόμα updates μέχρι τέλος Αυγούστου, αλλά η βάση για τις εγκαταστάσεις είναι έτοιμη. Όπως πάντα, ξεκινάμε ακολουθώντας επακριβώς τις παρακάτω οδηγίες:

https://ts.sch.gr/wiki/Linux/LTSP

Για μικρές απορίες ή παρατηρήσεις που μπορεί να αφορούν και άλλους συναδέλφους, χρησιμοποιήστε το παρόν θέμα. Ο στόχος είναι να λειτουργήσει ως faq, frequently asked questions.
Για πιο προσωπικά προβλήματα όπως "δεν μου μπουτάρει ο τάδε client", ανοίξτε νέο θέμα.

ilias_s:
Ευχαριστούμε Άλκη!

Μία προκαταβολική ερώτηση... Στο ένα εργαστήριο (όλα FAT clients) έχω νέα μηχανήματα (UEFI) και μερικά παλιότερα (BIOS). Στη 18.04 τα νέα ήταν ρυθμισμένα για legacy boot. Τώρα φαντάζομαι τα καινούργια θα bootάρουν σε UEFI mode. Με τα παλιά αναμένεται να έχω κάποιο θέμα; Θα πρέπει να κάνω κάτι;

alkisg:
Τα 64bit μηχανήματα θα παίξουν με τη μία όπως και να είναι ρυθμισμένα, είτε UEFI είτε BIOS.

gnikolaidis:
Πρόβλημα με το boot των clients. Εχω δημιουργήσει τον εικονικό δίσκο και εκτελώ και τις εντολές ltsp. Η ενεργεια ltsp ipxe δεν ολοκληρώνεται (δείτε συνημμένο). Μήπως φταίει αυτό που οι clients δεν bbotαρουν;

alkisg:
Σόρρυ ξέχασα μια εξάρτηση, δώσε:

sudo apt install ltsp-binaries

Μετά το ltsp ipxe δεν θα βγάζει πρόβλημα, αν και νομίζω ότι δεν φταίει αυτό που δεν εκκινούν οι clients.

Πλοήγηση

[0] Λίστα μηνυμάτων

[#] Επόμενη σελίδα

Μετάβαση στην πλήρη έκδοση